Skip to main content
`Ctrl`+`K`

# PETSCLOGHANDLERNVTX

PETSCLOGHANDLERNVTX = “nvtx” - A `PetscLogHandler` that creates an NVTX range (which appears in Nvidia Nsight profiling) for each PETSc event.

## Options Database Keys

- -log_nvtx - start an nvtx log handler manually

- -log_nvtx 0 - stop the nvtx log handler from starting automatically in `PetscInitialize()` in a program run within an nsys profiling session (see Note)

## Note

If `PetscInitialize()` detects the environment variable `NSYS_PROFILING_SESSION_ID` (which is defined by `nsys profile`) or `NVPROF_ID` (which is defined by `nvprof`) an instance of this log handler will automatically be started.

## See Also

Profiling, `PetscLogHandler`

## Level

developer

## Location

src/sys/logging/handler/impls/nvtx/lognvtx.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages